Search found 41 matches

Go to advanced search

by DevJohan
Tue Jul 29, 2014 9:26 am
Forum: Developers corner
Topic: Problem with negative values in InputField
Replies: 40
Views: 7449

Problem with negative values in InputField

Hi, For quite some time I've had a problem with the placement dialog concerning negative values. Any negative value is replaced with DOUBLE_MIN. This problem also breaks the use of stepping the value with up and down keys or using the mouse wheel to change value. To Illustrate the problem just creat...
by DevJohan
Mon Jul 28, 2014 9:15 pm
Forum: Archived Pull Requests
Topic: [Merged]Regular polygons
Replies: 25
Views: 6199

Re: [Merged]Regular polygons

I've done the discussed changes now. In ProfileLib there is a RegularPolygon.py defining makeRegularPolygon(...), which takes the name of the sketch, the number of corners, the center point as an App.Vector and the first corner as an App.Vector as arguments in that order. The code import ProfileLib....
by DevJohan
Mon Jul 28, 2014 2:34 pm
Forum: Open discussion
Topic: Recompute routine in Sketcher
Replies: 51
Views: 5566

Re: Recompute routine in Sketcher

Eigen uses range checks to test lookup of elements in matrices when using debug build. This behavior is disabled by defining EIGEN_NO_DEBUG macro. Eigen internally defines this macro if NDEBUG is defined. I don't know if this is part of the problem described here, but defining EIGEN_NO_DEBUG could s...
by DevJohan
Mon Jul 28, 2014 12:01 pm
Forum: Help on using FreeCAD
Topic: Map Sketcher
Replies: 2
Views: 623

Re: Map Sketcher

You can map a new sketch to a face by just selecting the face and click the "Create a new sketch" button. The map sketch to face is useful when you have an existing sketch you would like to be on a face.
by DevJohan
Mon Jul 28, 2014 11:38 am
Forum: Archived Pull Requests
Topic: [Merged]Regular polygons
Replies: 25
Views: 6199

Re: Regular polygons

Hi, I've been away these last couple of days. Two points: + maybe we should think about creating the regular polygon using the construction circle. Then we can support arbitrary regular polygons. + I noticed that after adding a few profiles the adding of new elements becomes very slow. You can even ...
by DevJohan
Wed Jul 16, 2014 5:45 pm
Forum: Developers corner
Topic: What is the purpose of CxImage 3rdParty tool?
Replies: 2
Views: 975

Re: What is the purpose of CxImage 3rdParty tool?

Ok,

Thanks for the answer

/Johan
by DevJohan
Wed Jul 16, 2014 5:21 pm
Forum: Developers corner
Topic: What is the purpose of CxImage 3rdParty tool?
Replies: 2
Views: 975

What is the purpose of CxImage 3rdParty tool?

Hi everyone, I have a question regarding the included 3rdparty code CxImage. What is this code used for? From some searches through the source the only reference to this I could find was in Tools/thumbs which seems to be some Windows platform specific project which isn't built. Is this project used ...
by DevJohan
Tue Jul 15, 2014 6:47 am
Forum: Archived Pull Requests
Topic: [Merged]Regular polygons
Replies: 25
Views: 6199

Re: Regular polygons

Hi Ian Doing the geometry with a parameter rather than a template would probably be good in general I made this change to the code so now number of corners is a constructor parameter rather than a class template parameter. This isn't quite right, but there probably is a general rule. For example, im...
by DevJohan
Mon Jul 14, 2014 10:20 am
Forum: Archived Pull Requests
Topic: [Merged]Regular polygons
Replies: 25
Views: 6199

Re: Regular polygons

Hi, You mean to have a general function to create a n-gon (with n == number of corners)? A few weeks ago I wrote some Python code to create a hexagon and later tried to create another polygon (octagon IIRC) and it appeared that the code, i.e. the number of angle constraints was totally different so ...
by DevJohan
Mon Jul 14, 2014 2:11 am
Forum: Open discussion
Topic: Create a New Sketch Tool: Don't Edit Existing Sketch?
Replies: 8
Views: 1460

Re: Create a New Sketch Tool: Don't Edit Existing Sketch?

Hi,

Perhaps the toolbar icons for opening and closing sketch should be a toggle button. Now two mutually (I think) exclusive icons are in the toolbar.

Just a thought,
Johan

Go to advanced search